Std ViewIvStereoQuadBuff: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
 
(2 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{Page in progress}}

<translate>
<translate>


<!--T:1-->
{{Docnav
{{Docnav
|[[Std_ViewIvStereoRedGreen|Std ViewIvStereoRedGreen]]
|[[Std_ViewIvStereoRedGreen|ViewIvStereoRedGreen]]
|[[Std_ViewIvStereoInterleavedRows|Std ViewIvStereoInterleavedRows]]
|[[Std_ViewIvStereoInterleavedRows|ViewIvStereoInterleavedRows]]
|[[Std_View_Menu|Std View Menu]]
|[[Std_View_Menu|Std View Menu]]
|IconL=Std_ViewIvStereoRedGreen.svg
|IconL=Std_ViewIvStereoRedGreen.svg
Line 14: Line 12:
}}
}}


<!--T:2-->
{{GuiCommand
{{GuiCommand
|Name=Std ViewIvStereoQuadBuff
|Name=Std ViewIvStereoQuadBuff
Line 21: Line 20:
}}
}}


==Description==
==Description== <!--T:3-->


<!--T:4-->
The '''Std ViewIvStereoQuadBuff''' command changes the active [[3D_view|3D view]] to quad buffer stereo view mode. To use this stereo mode a special graphics card, a special display and [https://en.wikipedia.org/wiki/Active_shutter_3D_system shutter glasses] are requires.
The '''Std ViewIvStereoQuadBuff''' command changes the active [[3D_view|3D view]] to quad buffer stereo view mode. To use this stereo mode a special graphics card, a special display and [https://en.wikipedia.org/wiki/Active_shutter_3D_system shutter glasses] are requires.


==Usage==
==Usage== <!--T:5-->


<!--T:6-->
# Select the {{MenuCommand|View → Stereo → [[Image:Std_ViewIvStereoQuadBuff.svg|16px]] Stereo quad buffer}} option from the menu.
# Select the {{MenuCommand|View → Stereo → [[Image:Std_ViewIvStereoQuadBuff.svg|16px]] Stereo quad buffer}} option from the menu.


==Preferences==
==Preferences== <!--T:7-->


<!--T:8-->
* The eye to eye distance can be changed in the preferences: {{MenuCommand|Edit → Preferences... → Display → 3D View → Eye to eye distance for stereo modes}}. See [[Preferences_Editor#3D_View|Preferences Editor]].
* The eye to eye distance can be changed in the preferences: {{MenuCommand|Edit → Preferences... → Display → 3D View → Eye to eye distance for stereo modes}}. See [[Preferences_Editor#3D_View|Preferences Editor]].


==Scripting==
==Scripting== <!--T:9-->


<!--T:10-->
{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


<!--T:11-->
To change the view to quad buffer stereo use the {{incode|setStereoType}} method of the ActiveView object. This method is not available if FreeCAD is in console mode.
To change the view to quad buffer stereo use the {{incode|setStereoType}} method of the ActiveView object. This method is not available if FreeCAD is in console mode.


Line 48: Line 52:
<translate>
<translate>


<!--T:12-->
{{Docnav
{{Docnav
|[[Std_ViewIvStereoRedGreen|Std ViewIvStereoRedGreen]]
|[[Std_ViewIvStereoRedGreen|ViewIvStereoRedGreen]]
|[[Std_ViewIvStereoInterleavedRows|Std ViewIvStereoInterleavedRows]]
|[[Std_ViewIvStereoInterleavedRows|ViewIvStereoInterleavedRows]]
|[[Std_View_Menu|Std View Menu]]
|[[Std_View_Menu|Std View Menu]]
|IconL=Std_ViewIvStereoRedGreen.svg
|IconL=Std_ViewIvStereoRedGreen.svg

Latest revision as of 20:35, 22 December 2020

Std ViewIvStereoQuadBuff

Menu location
View → Stereo → Stereo quad buffer
Workbenches
All
Default shortcut
None
Introduced in version
-
See also
Std ViewIvStereoRedGreen, Std ViewIvStereoInterleavedRows, Std ViewIvStereoInterleavedColumns, Std ViewIvStereoOff

Description

The Std ViewIvStereoQuadBuff command changes the active 3D view to quad buffer stereo view mode. To use this stereo mode a special graphics card, a special display and shutter glasses are requires.

Usage

  1. Select the View → Stereo → Stereo quad buffer option from the menu.

Preferences

  • The eye to eye distance can be changed in the preferences: Edit → Preferences... → Display → 3D View → Eye to eye distance for stereo modes. See Preferences Editor.

Scripting

See also: FreeCAD Scripting Basics.

To change the view to quad buffer stereo use the setStereoType method of the ActiveView object. This method is not available if FreeCAD is in console mode.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.setStereoType('QuadBuffer')
FreeCADGui.ActiveDocument.ActiveView.getStereoType()